Qt 5.8 | Qt Positioning | C++ Classes | QGeoPositionInfo

Qt 5.8.0 Reference Documentation

# List of All Members for QGeoPositionInfo

This is the complete list of members for QGeoPositionInfo, including inherited members.

- enum Attribute
- QGeoPositionInfo()
- QGeoPositionInfo(const QGeoCoordinate &, const QDateTime &)
- QGeoPositionInfo(const QGeoPositionInfo &)
- ~QGeoPositionInfo()
- attribute(Attribute ) const : qreal
- coordinate() const : QGeoCoordinate
- hasAttribute(Attribute ) const : bool
- isValid() const : bool

- removeAttribute(Attribute )
- setAttribute(Attribute , qreal )
- setCoordinate(const QGeoCoordinate &)
- setTimestamp(const QDateTime &)
- timestamp() const : QDateTime
- operator!=(const QGeoPositionInfo &) const : bool
- operator=(const QGeoPositionInfo &) : QGeoPositionInfo &
- operator==(const QGeoPositionInfo &) const : bool